From 9116d10693a119f41354607bdd3370c3798eee2a Mon Sep 17 00:00:00 2001
From: Pan Nengyuan <pannengyuan@huawei.com>
Date: Fri, 3 Apr 2020 14:26:17 +0800
Subject: [PATCH 30/77] at_dt_interface: use 'virtio' model in q35 for
 interface

When attach interface to pcie, rtl8139 can't work for q35 model. Thus, we
use 'virtio' model in this case for the interface.

Signed-off-by: Pan Nengyuan <pannengyuan@huawei.com>
---
 .../cfg/virsh_cmd/domain/virsh_attach_detach_interface.cfg      | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/libvirt/tests/cfg/virsh_cmd/domain/virsh_attach_detach_interface.cfg b/libvirt/tests/cfg/virsh_cmd/domain/virsh_attach_detach_interface.cfg
index fe47f96b..36dab40d 100644
--- a/libvirt/tests/cfg/virsh_cmd/domain/virsh_attach_detach_interface.cfg
+++ b/libvirt/tests/cfg/virsh_cmd/domain/virsh_attach_detach_interface.cfg
@@ -17,6 +17,8 @@
                 - domid:
                     at_detach_iface_vm_ref = "domid"
                     at_detach_iface_model = "rtl8139"
+                    q35:
+                        at_detach_iface_model = "virtio"
                     pseries:
                         at_detach_iface_model = "virtio"
                 - domuuid:
-- 
2.23.0

